function AddNoisePSD(noisetfp)
%% ===========================================================================
% Copyright (C) 2002 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                     All rights reserved. 
% Description   : ADSL performance simulations, 
%                 Add an absolute noise PSD (like same pair ISDN)
%
% Project       : FTW, B1
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% Reference:
%    ETSI STC TM6 Draft RTS/TM-06006 rev 10a (ADSL), 2001-05
%
% CVS:       $Id: AddNoisePSD.m,v 1.2 2002/03/12 14:50:24 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      2002-01-11 (ToNo) Created
%% ===========================================================================
global ex;
global result;

%% ===========================================================================
% Adjust the results with an absolute noise PSD
MNNT = eval(noisetfp.PSD.downstream);
MNLT = eval(noisetfp.PSD.upstream);

result.NT.Tot_noise.up   = result.NT.Tot_noise.up+MNNT;
result.NT.Tot_noise.down = result.NT.Tot_noise.down+MNNT;
result.LT.Tot_noise.up   = result.LT.Tot_noise.up+MNLT;
result.LT.Tot_noise.down = result.LT.Tot_noise.down+MNLT;

