function AdjustForMD()
%% ===========================================================================
% Copyright (C) 2001 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                     All rights reserved. 
% Description   : ADSL performance simulations, 
%                 Adjusting for modem noise
%
% Project       : FTW, B1
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% Reference:
%    ETSI STC TM6 Draft RTS/TM-06006 rev 10a (ADSL), 2001-05
%
% CVS:       $Id: AdjustForMN.m,v 1.1 2002/01/25 12:14:35 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      2001-12-18 (ToNo) Created
%% ===========================================================================
global ex;
global result;

%% ===========================================================================
% Adjust the results
MNNT = 10.^(eval(ex.param.modemNoise.NT)/10);
MNLT = 10.^(eval(ex.param.modemNoise.LT)/10);
result.NT.Tot_noise.up   = max(result.NT.Tot_noise.up,MNNT);
result.NT.Tot_noise.down = max(result.NT.Tot_noise.down,MNNT);
result.LT.Tot_noise.up   = max(result.LT.Tot_noise.up,MNLT);
result.LT.Tot_noise.down = max(result.LT.Tot_noise.down,MNLT);

